[**packwizjs**](../../README.md)

***

[packwizjs](../../modules.md) / [provider](../README.md) / CurseForgeProvider

# Class: CurseForgeProvider

Defined in: provider.ts:77

URL provider for handling CurseForge-related URLs.
Extends the UrlProvider with CurseForge-specific properties.

## Extends

- [`UrlProvider`](UrlProvider.md)

## Constructors

### new CurseForgeProvider()

> **new CurseForgeProvider**(`hash`, `hashFormat`, `mode`, `fileId`, `projectId`): [`CurseForgeProvider`](CurseForgeProvider.md)

Defined in: provider.ts:86

Creates a new CurseForgeProvider instance.

#### Parameters

##### hash

`string`

A hash string used for identification or verification.

##### hashFormat

[`HashFormat`](../../enums/hash-format/enumerations/HashFormat.md)

The format of the provided hash.

##### mode

`string`

The mode indicating how the CurseForge file should be accessed.

##### fileId

`number`

The identifier for the file on CurseForge.

##### projectId

`number`

The identifier for the project on CurseForge.

#### Returns

[`CurseForgeProvider`](CurseForgeProvider.md)

#### Overrides

[`UrlProvider`](UrlProvider.md).[`constructor`](UrlProvider.md#constructors)

## Properties

### fileId

> **fileId**: `number`

Defined in: provider.ts:90

The identifier for the file on CurseForge.

***

### hash

> **hash**: `string`

Defined in: provider.ts:15

A hash string used for identifying or verifying the resource.

#### Inherited from

[`UrlProvider`](UrlProvider.md).[`hash`](UrlProvider.md#hash-1)

***

### hashFormat

> **hashFormat**: [`HashFormat`](../../enums/hash-format/enumerations/HashFormat.md)

Defined in: provider.ts:16

The format of the provided hash.

#### Inherited from

[`UrlProvider`](UrlProvider.md).[`hashFormat`](UrlProvider.md#hashformat-1)

***

### mode

> **mode**: `string`

Defined in: provider.ts:89

The mode indicating how the CurseForge file should be accessed.

***

### projectId

> **projectId**: `number`

Defined in: provider.ts:91

The identifier for the project on CurseForge.

***

### url

> **url**: [`Resource`](../../resource/classes/Resource.md)

Defined in: provider.ts:17

A Resource instance representing the URL.

#### Inherited from

[`UrlProvider`](UrlProvider.md).[`url`](UrlProvider.md#url-1)
