[**packwizjs**](../../README.md)

***

[packwizjs](../../modules.md) / [provider](../README.md) / GitHubProvider

# Class: GitHubProvider

Defined in: provider.ts:49

URL provider for handling GitHub-related URLs.
Extends the UrlProvider with GitHub-specific properties.

## Extends

- [`UrlProvider`](UrlProvider.md)

## Constructors

### new GitHubProvider()

> **new GitHubProvider**(`hash`, `hashFormat`, `url`, `branch`, `regex`, `slug`, `tag`): [`GitHubProvider`](GitHubProvider.md)

Defined in: provider.ts:60

Creates a new GitHubProvider instance.

#### Parameters

##### hash

`string`

A hash string used for identification or verification.

##### hashFormat

[`HashFormat`](../../enums/hash-format/enumerations/HashFormat.md)

The format of the hash.

##### url

[`Resource`](../../resource/classes/Resource.md)

A Resource instance representing the URL.

##### branch

`string`

The branch name within the GitHub repository.

##### regex

`string`

A regular expression for matching specific patterns in the GitHub URL.

##### slug

`string`

A URL slug used for identifying the repository.

##### tag

`string`

The tag associated with the GitHub resource.

#### Returns

[`GitHubProvider`](GitHubProvider.md)

#### Overrides

[`UrlProvider`](UrlProvider.md).[`constructor`](UrlProvider.md#constructors)

## Properties

### branch

> **branch**: `string`

Defined in: provider.ts:64

The branch name within the GitHub repository.

***

### hash

> **hash**: `string`

Defined in: provider.ts:15

A hash string used for identifying or verifying the resource.

#### Inherited from

[`UrlProvider`](UrlProvider.md).[`hash`](UrlProvider.md#hash-1)

***

### hashFormat

> **hashFormat**: [`HashFormat`](../../enums/hash-format/enumerations/HashFormat.md)

Defined in: provider.ts:16

The format of the provided hash.

#### Inherited from

[`UrlProvider`](UrlProvider.md).[`hashFormat`](UrlProvider.md#hashformat-1)

***

### regex

> **regex**: `string`

Defined in: provider.ts:65

A regular expression for matching specific patterns in the GitHub URL.

***

### slug

> **slug**: `string`

Defined in: provider.ts:66

A URL slug used for identifying the repository.

***

### tag

> **tag**: `string`

Defined in: provider.ts:67

The tag associated with the GitHub resource.

***

### url

> **url**: [`Resource`](../../resource/classes/Resource.md)

Defined in: provider.ts:17

A Resource instance representing the URL.

#### Inherited from

[`UrlProvider`](UrlProvider.md).[`url`](UrlProvider.md#url-1)
