[**packwizjs**](../../README.md)

***

[packwizjs](../../modules.md) / [provider](../README.md) / ModrinthProvider

# Class: ModrinthProvider

Defined in: provider.ts:25

URL provider for handling Modrinth-related URLs.
Extends the UrlProvider with Modrinth-specific properties.

## Extends

- [`UrlProvider`](UrlProvider.md)

## Constructors

### new ModrinthProvider()

> **new ModrinthProvider**(`hash`, `hashFormat`, `url`, `modId`, `versionId`): [`ModrinthProvider`](ModrinthProvider.md)

Defined in: provider.ts:34

Creates a new ModrinthProvider instance.

#### Parameters

##### hash

`string`

A hash string used for identification or verification.

##### hashFormat

[`HashFormat`](../../enums/hash-format/enumerations/HashFormat.md)

The format of the provided hash.

##### url

[`Resource`](../../resource/classes/Resource.md)

A Resource instance representing the URL.

##### modId

`string`

The identifier for the Modrinth mod.

##### versionId

`string`

The version identifier for the mod.

#### Returns

[`ModrinthProvider`](ModrinthProvider.md)

#### Overrides

[`UrlProvider`](UrlProvider.md).[`constructor`](UrlProvider.md#constructors)

## Properties

### hash

> **hash**: `string`

Defined in: provider.ts:15

A hash string used for identifying or verifying the resource.

#### Inherited from

[`UrlProvider`](UrlProvider.md).[`hash`](UrlProvider.md#hash-1)

***

### hashFormat

> **hashFormat**: [`HashFormat`](../../enums/hash-format/enumerations/HashFormat.md)

Defined in: provider.ts:16

The format of the provided hash.

#### Inherited from

[`UrlProvider`](UrlProvider.md).[`hashFormat`](UrlProvider.md#hashformat-1)

***

### modId

> **modId**: `string`

Defined in: provider.ts:38

The identifier for the Modrinth mod.

***

### url

> **url**: [`Resource`](../../resource/classes/Resource.md)

Defined in: provider.ts:17

A Resource instance representing the URL.

#### Inherited from

[`UrlProvider`](UrlProvider.md).[`url`](UrlProvider.md#url-1)

***

### versionId

> **versionId**: `string`

Defined in: provider.ts:39

The version identifier for the mod.
