[**packwizjs**](../../README.md)

***

[packwizjs](../../modules.md) / [provider](../README.md) / UrlProvider

# Class: UrlProvider

Defined in: provider.ts:7

Provides a base class for URL-based providers.

## Extended by

- [`ModrinthProvider`](ModrinthProvider.md)
- [`GitHubProvider`](GitHubProvider.md)
- [`CurseForgeProvider`](CurseForgeProvider.md)

## Constructors

### new UrlProvider()

> **new UrlProvider**(`hash`, `hashFormat`, `url`): [`UrlProvider`](UrlProvider.md)

Defined in: provider.ts:14

Creates a new UrlProvider instance.

#### Parameters

##### hash

`string`

A hash string used for identifying or verifying the resource.

##### hashFormat

[`HashFormat`](../../enums/hash-format/enumerations/HashFormat.md)

The format of the provided hash.

##### url

[`Resource`](../../resource/classes/Resource.md)

A Resource instance representing the URL.

#### Returns

[`UrlProvider`](UrlProvider.md)

## Properties

### hash

> **hash**: `string`

Defined in: provider.ts:15

A hash string used for identifying or verifying the resource.

***

### hashFormat

> **hashFormat**: [`HashFormat`](../../enums/hash-format/enumerations/HashFormat.md)

Defined in: provider.ts:16

The format of the provided hash.

***

### url

> **url**: [`Resource`](../../resource/classes/Resource.md)

Defined in: provider.ts:17

A Resource instance representing the URL.
