export enum HashFormat {
  "sha256" = "sha256",
  "sha512" = "sha512",
  "sha1" = "sha1",
  "md5" = "md5",
  "murmur2" = "murmur2",
}

export function isValidHashFormat(hashFormat: string): HashFormat {
  if (hashFormat in HashFormat) {
    return HashFormat[hashFormat as keyof typeof HashFormat];
  } else {
    throw new Error(`Invalid index file hash format: ${hashFormat}`);
  }
}
