export enum Side {
  "Both" = "both",
  "Client" = "client",
  "Server" = "server",
}

export function isValidSide(side: string | undefined): Side {
  if (side == undefined) {
    return Side.Both;
  }

  if (Object.values(Side).includes(side.toLowerCase() as Side)) {
    return side.toLowerCase() as Side;
  } else {
    throw new Error("Invalid side!");
  }
}
